""" exportcsv """

from notebooksalamode.commstringio import CommStringIO

class ExportCSV(object):
    """ExportCSV provides an export method to export dataframes as a CSV in Mode"""

    @staticmethod
    def export(dataframe):
        """export the provided dataframe to Mode"""
        comm = CommStringIO("csv_stream")
        try:
            dataframe.to_csv(comm)
        finally:
            comm.close()
